/****************************************************************************
** $Id$
**
** Implementation of QSimpleInputContextPlugin class
**
** Copyright (C) 2004 immodule for Qt Project.  All rights reserved.
**
** This file is written to contribute to Trolltech AS under their own
** licence. You may use this file under your Qt license. Following
** description is copied from their original file headers. Contact
** immodule-qt@freedesktop.org if any conditions of this licensing are
** not clear to you.
**
****************************************************************************/

/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the input method module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QT_NO_IM
#include "qsimpleinputcontext.h"
#include "qsimpleinputcontextplugin.h"
#include <qinputcontextplugin.h>
#include <qstringlist.h>


QSimpleInputContextPlugin::QSimpleInputContextPlugin()
{
}

QSimpleInputContextPlugin::~QSimpleInputContextPlugin()
{
}

QStringList QSimpleInputContextPlugin::keys() const
{
    return QStringList( "simple" );
}

QInputContext *QSimpleInputContextPlugin::create( const QString & )
{
    return new QSimpleInputContext;
}

QStringList QSimpleInputContextPlugin::languages( const QString & )
{
    return QStringList( "" );
}

QString QSimpleInputContextPlugin::displayName( const QString & )
{
    return tr( "Simple composing input method" );
}

QString QSimpleInputContextPlugin::description( const QString & )
{
    return tr( "Simple composing input method" );
}


Q_EXPORT_PLUGIN( QSimpleInputContextPlugin )

#endif
